aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorlcapriotti <lcapriotti@svn>2010-03-11 14:32:57 +0000
committerlcapriotti <lcapriotti@svn>2010-03-11 14:32:57 +0000
commit279840b99293f148d028ba79ce19f6d9c5cb0c05 (patch)
treef0da2026dc3d0e349901d3ac40f7738ab84fb2d3 /tools
parent14e0a1f3f8260fff5f20520412688639a6856c3f (diff)
use Ubuntu's repositories for live-installer
git-svn-id: https://xbmc.svn.sourceforge.net/svnroot/xbmc/trunk@28536 568bbfeb-2a22-0410-94d2-cc84cf5bfa90
Diffstat (limited to 'tools')
-rwxr-xr-xtools/XBMCLive/SDK/buildDEBs/build-installer.sh.hardy-variant14
-rwxr-xr-xtools/XBMCLive/SDK/buildDEBs/build-installer.sh.karmic-variant10
2 files changed, 17 insertions, 7 deletions
diff --git a/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.hardy-variant b/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.hardy-variant
index 0bb536e8bf..8b0a95a907 100755
--- a/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.hardy-variant
+++ b/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.hardy-variant
@@ -115,12 +115,18 @@ if ! ls xbmclive-installhelpers_*.udeb > /dev/null 2>&1 ; then
cd $THISDIR
fi
-# Retrieve live_installer from Debian's repositories
-# TODO identify & retrieve the latest!
+# Retrieve live_installer from Ubuntu's repositories
if ! ls live-installer*.udeb > /dev/null 2>&1 ; then
echo "Retrieving live_installer udebs..."
- wget -q "http://ftp.uk.debian.org/debian/pool/main/l/live-installer/live-installer_13_i386.udeb"
- if [ "$?" -ne "0" ] || [ ! -f live-installer_13_i386.udeb ] ; then
+
+ # This is the debian repository (as a reference)
+ #repoURL="http://ftp.debian.org/debian/pool/main/l/live-installer/"
+ repoURL="http://archive.ubuntu.com/ubuntu/pool/universe/l/live-installer/"
+
+ latestPackage=$(curl -x "" -s -f $repoURL | grep -o 'live[^"]*_i386.udeb' | sort -r -k2 -t_ -n | head -n 1)
+ echo " - Latest package: $latestPackage"
+ wget -q "$repoURL$latestPackage"
+ if [ "$?" -ne "0" ] || [ ! -f $latestPackage ] ; then
echo "Needed package (1) not found, exiting..."
exit 1
fi
diff --git a/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.karmic-variant b/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.karmic-variant
index d3e8c061b5..4f48c4da42 100755
--- a/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.karmic-variant
+++ b/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.karmic-variant
@@ -115,13 +115,17 @@ if ! ls xbmclive-installhelpers_*.udeb > /dev/null 2>&1 ; then
cd $THISDIR
fi
-# Retrieve live_installer from Debian's repositories
+# Retrieve live_installer from Ubuntu's repositories
if ! ls live-installer*.udeb > /dev/null 2>&1 ; then
echo "Retrieving live_installer udebs..."
- latestPackage=$(curl -x "" -s -f http://ftp.debian.org/debian/pool/main/l/live-installer/ | grep -o 'live[^"]*_i386.udeb' | sort -r -k2 -t_ -n | head -n 1)
+ # This is the debian repository (as a reference)
+ #repoURL="http://ftp.debian.org/debian/pool/main/l/live-installer/"
+ repoURL="http://archive.ubuntu.com/ubuntu/pool/universe/l/live-installer/"
+
+ latestPackage=$(curl -x "" -s -f $repoURL | grep -o 'live[^"]*_i386.udeb' | sort -r -k2 -t_ -n | head -n 1)
echo " - Latest package: $latestPackage"
- wget -q "http://ftp.debian.org/debian/pool/main/l/live-installer/$latestPackage"
+ wget -q "$repoURL$latestPackage"
if [ "$?" -ne "0" ] || [ ! -f $latestPackage ] ; then
echo "Needed package (1) not found, exiting..."
exit 1